# partial-sort

A rust implementation of [partial-sort algorithm](https://en.wikipedia.org/wiki/Partial_sorting)
based on [mesuvash's gist](https://gist.github.com/mesuvash/4095565).

### Example
``` rust
extern crate partial_sort;
use partial_sort::partial_sort;

let mut v = vec![5, 7, 4, 2, 8, 6, 1, 9, 0, 3];
partial_sort(&mut v[..], 3);

assert_eq!(v[0], 0);
assert_eq!(v[1], 1);
assert_eq!(v[2], 2);
```
